org.eclipse.actf.util.httpproxy.core

## Interface IHTTPRequestMessage

All Superinterfaces:
  IHTTPMessage

    public interface IHTTPRequestMessage
    extends IHTTPMessage

A HTTP request message.

### Field Summary

### Fields inherited from interface org.eclipse.actf.util.httpproxy.core.IHTTPMessage

`CR, DEFAULT_INITIAL_BUFFER_SIZE, HT, INIT_NUM_HEADERS, LF, SP`

### Method Summary

Methods
`IBufferRange` `getHTTPVersion()` Gets the HTTP version field of this request message.
`IBufferRange` `getMethod()` Gets the HTTP method field of this request message.
`byte[]` `getMethodAsBytes()` Gets the HTTP method field of this request message.
`String` `getMethodAsString()` Gets the HTTP method field of this request message.
`String` `getOriginalRequestURIString()` Gets the original request URI field of this request message.
`IBufferRange` `getRequestURI()` Gets the request URI field of this request message.
`String` `getRequestURIString()` Gets the request URI field of this request message.
`boolean` `isConnectionShutdownRequired()` Returns whether the connection for exchanging this request message needs to be shutdown or not.
`boolean` `isMethodEqualsTo(byte[] method)` Compares the method field of this request message with the specified value.
`boolean` `isResponseBodyEmpty()` Returns whether the body of this request message is empty or not.
`void` `setRequestURIString(String newRequestURI)` Sets the request URI field of this request message.

### Methods inherited from interface org.eclipse.actf.util.httpproxy.core.IHTTPMessage

`addTrailingHeader, getHeader, getHeaderAsBytes, getHeaders, getHTTPVersionAsBytes, getHTTPVersionAsString, getMessageBody, getSerial, getTid, isChunkedEncoding, isConnectionToBeClosed, isHTTPVersion1_1, removeHeader, setChunkedEncoding, setConnectionHeader, setHeader, setTid, write, writeBody`

### Method Detail

#### getMethod

    IBufferRange getMethod()

Gets the HTTP method field of this request message.

Returns:
  buffer range that indicates the HTTP method field

#### getMethodAsBytes

    byte[] getMethodAsBytes()

Gets the HTTP method field of this request message.

Returns:
  value of HTTP method field as an array of bytes

#### getMethodAsString

    String getMethodAsString()

Gets the HTTP method field of this request message.

Returns:
  value of HTTP method field as a String

#### getRequestURI

    IBufferRange getRequestURI()

Gets the request URI field of this request message.

Returns:
  buffer range that indicates the Request URI field

#### setRequestURIString

    void setRequestURIString(String newRequestURI)

Sets the request URI field of this request message.

Parameters:
  `newRequestURI` - request URI

#### getOriginalRequestURIString

    String getOriginalRequestURIString()

Gets the original request URI field of this request message.

Returns:
  value of original request URI field

#### getRequestURIString

    String getRequestURIString()

Gets the request URI field of this request message.

Returns:
  value of request URI field as a String

#### getHTTPVersion

    IBufferRange getHTTPVersion()

Gets the HTTP version field of this request message.

Returns:
  buffer range that indicates the HTTP version field

#### isMethodEqualsTo

    boolean isMethodEqualsTo(byte[] method)

Compares the method field of this request message with the specified value.

Parameters:
  `method` - value to compare
Returns:
  true if the method field is equals to the specified value

#### isResponseBodyEmpty

    boolean isResponseBodyEmpty()

Returns whether the body of this request message is empty or not.

Returns:
  true if the body of this request message is empty, or false if it is not empty

#### isConnectionShutdownRequired

    boolean isConnectionShutdownRequired()

Returns whether the connection for exchanging this request message needs to be shutdown or not.

Returns:
  true if the connection needs to be shutdown